Categories:
  - System
License: GPL-3.0-only
AuthorName: Elastic Rock
SourceCode: https://github.com/elastic-rock/Candle
IssueTracker: https://github.com/elastic-rock/Candle/issues

AutoName: Candle

RepoType: git
Repo: https://github.com/elastic-rock/Candle
Binaries: https://github.com/elastic-rock/Candle/releases/download/v%v/com.elasticrock.candle_v%v.apk

Builds:
  - versionName: 1.1.1
    versionCode: 3
    commit: e647b7d7de991d2862817680dec0898aeee65072
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes

  - versionName: 1.2.0
    versionCode: 4
    commit: efe56e7d02d183d1004b6cbbc2b768dd37d3362d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 1.3.0
    versionCode: 6
    commit: dd01c2d7b980601035ac329e9566e2a90a74e83c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 1.3.1
    versionCode: 7
    commit: 066da6febea4ea856c27690609dd1533938d21da
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

  - versionName: 1.3.2
    versionCode: 8
    commit: 71ac187b38c056836411872bb80d4cb854cde3e5
    subdir: app
    sudo:
      - apt-get update
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - reproducible-apk-tools@v0.2.3
    postbuild: $$reproducible-apk-tools$$/inplace-fix.py --zipalign fix-newlines $$OUT$$
      'META-INF/services/*'

AllowedAPKSigningKeys: bb9503be1486028133b33eabce9732100e9a331065e32fa2a033a93498bae6d6

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.3.2
CurrentVersionCode: 8
